GENCNVAL(8)

NAME
gencnval - compile the converters aliases file

SYNOPSIS
gencnval [ -h, -?, --help ] [ -c, --copyright ] [ -s, --sourcedir source ] [ -d, --destdir destination ] [ converterfile ]

DESCRIPTION
gencnval converts the ICU aliases file converterfile into the binary file cnvalias.dat. This binary file can then be read directly by ICU, or used by pkgdata(8) for incorporation into a larger archive or library.

If converterfile is not provided, the default ICU convrtrs.txt file is used.

OPTIONS

-h,-?,--help
    Print help about usage and exit.

-c,--copyright
    Include a copyright notice in the binary data.

-s, --sourcedir source
    Set the source directory to source. The default source directory is specified by the environment variable ICU_DATA.

-d, --destdir destination
    Set the destination directory to destination. The default destination directory is specified by the environment variable ICU_DATA.

ENVIRONMENT

ICU_DATA
    Specifies the directory containing ICU data. Defaults to @thedatadir@/icu/@VERSION@/. Some tools in ICU depend on the presence of the trailing slash. It is thus important to make sure that it is present if ICU_DATA is set.

FILES

@thedatadir@/icu/@VERSION@/convrtrs.txt
    Description of ICU's converters and their aliases.

VERSION
@VERSION@

COPYRIGHT
Copyright (C) 2000 IBM, Inc. and others.

SEE ALSO
convrtrs.txt(5)
pkgdata(8)